- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# postgresql_ping – Check remote PostgreSQL server availability

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Simple module to check remote PostgreSQL server availability.

## Requirements

The below requirements are needed on the host that executes this module.

- psycopg2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
ca_cert string |  | Specifies the name of a file containing SSL certificate authority (CA) certificate(s). If the file exists, the server's certificate will be verified to be signed by one of these authorities. aliases: ssl_rootcert
db string |  | Name of a database to connect to. aliases: login_db
login_host string |  | Host running the database.
login_password string |  | The password used to authenticate with.
login_unix_socket string |  | Path to a Unix domain socket for local connections.
login_user string | Default: "postgres" | The username used to authenticate with.
port integer | Default: 5432 | Database port to connect to. aliases: login_port
ssl_mode string | Choices: allow disable prefer ← require verify-ca verify-full | Determines whether or with what priority a secure SSL TCP/IP connection will be negotiated with the server. See https://www.postgresql.org/docs/current/static/libpq-ssl.html for more information on the modes. Default of `prefer` matches libpq default.

## Notes

Note

- The default authentication assumes that you are either logging in as or sudo’ing to the `postgres` account on the host.

- To avoid “Peer authentication failed for user postgres” error, use postgres user as a become_user.

- This module uses psycopg2, a Python PostgreSQL database adapter. You must ensure that psycopg2 is installed on the host before using this module.

- If the remote host is the PostgreSQL server (which is the default case), then PostgreSQL must also be installed on the remote host.

- For Ubuntu-based systems, install the postgresql, libpq-dev, and python-psycopg2 packages on the remote host before using this module.

- The ca_cert parameter requires at least Postgres version 8.4 and psycopg2 version 2.4.3.

## See Also

See also

postgresql_info – Gather information about PostgreSQL servers

  The official documentation on the postgresql_info module.

## Examples

    # PostgreSQL ping dbsrv server from the shell:
    # ansible dbsrv -m postgresql_ping

    # In the example below you need to generate certificates previously.
    # See https://www.postgresql.org/docs/current/libpq-ssl.html for more information.
    - name: PostgreSQL ping dbsrv server using not default credentials and ssl
      postgresql_ping:
        db: protected_db
        login_host: dbsrv
        login_user: secret
        login_password: secret_pass
        ca_cert: /root/root.crt
        ssl_mode: verify-full

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
is_available boolean | always | PostgreSQL server availability. Sample: True
server_version dictionary | always | PostgreSQL server version. Sample: {'major': 10, 'minor': 1}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Andrew Klychkov (@Andersson007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.